; ASP 3.0

[%objects]
Application
ASPError
ObjectContext
Request
Response
Server
Session

[%SimpleSections]
Functions

[Application]
%type=0
Contents=<collection>
StaticObjects=<collection>
Contents.Remove()=<method>
Contents.RemoveAll()=<method>
Lock=<method>
Unlock=<method>
Application_OnEnd=<event>
Application_OnStart=<event>

[ASPError]
%type=1
ASPCode=<property>
ASPDescription=<property>
Category=<property>
Column=<property>
Description=<property>
File=<property>
Line=<property>
Number=<property>
Source=<property>

[ObjectContext]
%type=0
SetAbort=<method>
SetComplete=<method>
OnTransactionAbort=<event>
OnTransactionCommit=<event>

[Request]
%type=0
TotalBytes=<property>
ClientCertificate=<collection>
Cookies=<collection>
Form=<collection>
QueryString=<collection>
ServerVariables=<collection>
BinaryRead()=<method>

[Response]
%type=0
Buffer=<property>
CacheControl=<property>
Charset=<property>
ContentType=<property>
Expires=<property>
ExpiresAbsolute=<property>
IsClientConnected=<property>
PICS=<property>
Status=<property>
Cookies=<collection>
AddHeader=<method>
AppendToLog()=<method>
BinaryWrite()=<method>
Clear=<method>
End=<method>
Flush=<method>
Redirect()=<method>
Write()=<method>

[Server]
%type=0
ScriptTimeout=<property>
CreateObject()=<method>
Execute()=<method>
GetLastError=<method>
HTMLEncode()=<method>
MapPath()=<method>
Transfer()=<method>
URLEncode()=<method>

[Session]
%type=0
CodePage=<property>
LCID=<property>
SessionID=<property>
Timeout=<property>
Contents=<collection>
StaticObjects=<collection>
Abandon=<method>
Contents.Remove()=<method>
Contents.RemoveAll()=<method>
Session_OnEnd=<method>
Session_OnStart=<method>

[Functions]
%type=2
Abs=<method>
Array=<method>
Asc=<method>
Atn=<method>
CBool=<method>
CByte=<method>
CCur=<method>
CDate=<method>
CDbl=<method>
Chr=<method>
CInt=<method>
CLng=<method>
Cos=<method>
CreateObject=<method>
Csng=<method>
CStr=<method>
Date=<method>
DateAdd=<method>
DateDiff=<method>
DatePart=<method>
DateSerial=<method>
DateValue=<method>
Day=<method>
Exp=<method>
Filter=<method>
Fix=<method>
FormatCurrency=<method>
FormatDateTime=<method>
FormatNumber=<method>
FormatPercent=<method>
GetObject=<method>
Hex=<method>
Hour=<method>
InStr=<method>
InStrRev=<method>
Int=<method>
IsArray=<method>
IsDate=<method>
IsEmpty=<method>
IsNull=<method>
IsNumeric=<method>
IsObject=<method>
Join=<method>
LCase=<method>
Left=<method>
Len=<method>
Log=<method>
LTrim=<method>
Mid=<method>
Minute=<method>
Month=<method>
MonthName=<method>
Now=<method>
Oct=<method>
Replace=<method>
Right=<method>
Rnd=<method>
Round=<method>
RTrim=<method>
ScriptEngine=<method>
ScriptEngineBuildVersion=<method>
ScriptEngineMajorVersion=<method>
Second=<method>
Sgn=<method>
Sin=<method>
Space=<method>
Split=<method>
Sqr=<method>
StrComp=<method>
String=<method>
StrReverse=<method>
Tan=<method>
Time=<method>
TimeSerial=<method>
TimeValue=<method>
Trim=<method>
TypeName=<method>
UBound=<method>
UCase=<method>
VarType=<method>
Weekday=<method>
WeekdayName=<method>
Year=<method>
